#include "AstronomicalObject.h"

AstronomicalObject::AstronomicalObject()
{
    m_xPos = 0;
    m_yPos = 0;
    m_isAPlanet = false;
}

AstronomicalObject::AstronomicalObject(float xPos, float yPos)
{
    m_xPos = xPos;
    m_yPos = yPos;
    m_isAPlanet = false;
}

AstronomicalObject::~AstronomicalObject()
{
}

void AstronomicalObject::draw() const
{
    if(!m_isAPlanet)
    {
        al_draw_circle(10+(m_xPos*3),10+(m_yPos*3),8,al_map_rgb(200,200,200),3);
    }
    else
    {
        al_draw_circle(10+(m_xPos*3),10+(m_yPos*3),8,al_map_rgb(20,200,20),3);
    }
}
